#include <gint/defs/types.h>
#include <gint/defs/util.h>

void gint_dhline(int x1, int x2, int y, uint16_t color);
void drawPolygon( int x1min, int x1max, int y1, int x2min, int x2max, int y2, uint8_t R, uint8_t G, uint8_t B );
void drawPolygon( int x1min, int x1max, int y1, int x2min, int x2max, int y2, uint16_t color );
void drawGrass( int y1, int y2, uint8_t R, uint8_t G, uint8_t B );
void drawGrass( int y1, int y2, uint16_t color );

void drawSkyFull( uint16_t color );
void drawSky( uint16_t color );
void drawSky( uint8_t R, uint8_t G, uint8_t B );
void drawSky( int ymin, int ymax );

void drawSkyOptimised( uint16_t color );
void drawSkyQuick( uint16_t color );
